cpw.mods.fml.relauncher

## Class ReflectionHelper

- java.lang.Object
- - cpw.mods.fml.relauncher.ReflectionHelper

-     public class ReflectionHelper
      extends java.lang.Object

  Some reflection helper code.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReflectionHelper.UnableToAccessFieldException`
    `static class` | `ReflectionHelper.UnableToFindClassException`
    `static class` | `ReflectionHelper.UnableToFindFieldException`
    `static class` | `ReflectionHelper.UnableToFindMethodException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectionHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.reflect.Field` | `findField(java.lang.Class<?> clazz, java.lang.String... fieldNames)`
    `static <E> java.lang.reflect.Method` | `findMethod(java.lang.Class<? super E> clazz, E instance, java.lang.String[] methodNames, java.lang.Class<?>... methodTypes)`
    `static java.lang.Class<? super java.lang.Object>` | `getClass(java.lang.ClassLoader loader, java.lang.String... classNames)`
    `static <T,E> T` | `getPrivateValue(java.lang.Class<? super E> classToAccess, E instance, int fieldIndex)`
    `static <T,E> T` | `getPrivateValue(java.lang.Class<? super E> classToAccess, E instance, java.lang.String... fieldNames)`
    `static <T,E> void` | `setPrivateValue(java.lang.Class<? super T> classToAccess, T instance, E value, int fieldIndex)`
    `static <T,E> void` | `setPrivateValue(java.lang.Class<? super T> classToAccess, T instance, E value, java.lang.String... fieldNames)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectionHelper

          public ReflectionHelper()

  - ### Method Detail

    - #### findField

          public static java.lang.reflect.Field findField(java.lang.Class<?> clazz,
                                          java.lang.String... fieldNames)

    - #### getPrivateValue

          public static <T,E> T getPrivateValue(java.lang.Class<? super E> classToAccess,
                                E instance,
                                int fieldIndex)

    - #### getPrivateValue

          public static <T,E> T getPrivateValue(java.lang.Class<? super E> classToAccess,
                                E instance,
                                java.lang.String... fieldNames)

    - #### setPrivateValue

          public static <T,E> void setPrivateValue(java.lang.Class<? super T> classToAccess,
                                   T instance,
                                   E value,
                                   int fieldIndex)

    - #### setPrivateValue

          public static <T,E> void setPrivateValue(java.lang.Class<? super T> classToAccess,
                                   T instance,
                                   E value,
                                   java.lang.String... fieldNames)

    - #### getClass

          public static java.lang.Class<? super java.lang.Object> getClass(java.lang.ClassLoader loader,
                                                           java.lang.String... classNames)

    - #### findMethod

          public static <E> java.lang.reflect.Method findMethod(java.lang.Class<? super E> clazz,
                                                E instance,
                                                java.lang.String[] methodNames,
                                                java.lang.Class<?>... methodTypes)